Bug 23791 - (NET 3C59X) transmit error and kernel dump
(NET 3C59X) transmit error and kernel dump
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-11 07:13 EST by Pekka Savola
Modified: 2013-07-02 22:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2001-01-11 07:13:01 EST
After a short time after networking, I got the following kernel message
with this card:

00:0b.0 Ethernet controller: 3Com Corporation 3c905B 100BaseTX [Cyclone]
(rev 30)

eth1: Transmit error, Tx status register 82.
  Flags; bus-master 1, full 0; dirty 513(1) current 516(4).
  Transmit list 071eb230 vs. c71eb210.
  Transmit list 071eb230 vs. c71eb210.
  0: @c71eb200  length 80000042 status 00010042
  1: @c71eb210  length 800005ea status 000105ea
  2: @c71eb220  length 800005ea status 000105ea
  3: @c71eb230  length 800004f2 status 800004f2
  4: @c71eb240  length 80000042 status 00010042
  5: @c71eb250  length 8000004e status 0001004e
  6: @c71eb260  length 80000042 status 00010042
  7: @c71eb270  length 800005ea status 000105ea
  8: @c71eb280  length 800005ea status 000105ea
  9: @c71eb290  length 800004f2 status 000104f2
  10: @c71eb2a0  length 80000042 status 00010042
  11: @c71eb2b0  length 800005ea status 000105ea
  12: @c71eb2c0  length 800005ea status 000105ea
  13: @c71eb2d0  length 800004f2 status 000104f2
  14: @c71eb2e0  length 80000042 status 00010042
  15: @c71eb2f0  length 80000042 status 00010042
Comment 1 Daniel Roesen 2001-01-11 08:02:47 EST
changing version. I think "beta2" is meant, not RC2 .->
Comment 2 Glen Foster 2001-01-15 16:30:52 EST
Re-assigning to Michael Johnson
Comment 3 Pekka Savola 2001-02-20 09:52:42 EST
Also happened with Wolverine:

eth1: Transmit error, Tx status register 82.
  Flags; bus-master 1, full 0; dirty 1343(15) current 1345(1).
  Transmit list 07277200 vs. c72772f0.
  0: @c7277200  length 800004f2 status 800104f2
  1: @c7277210  length 80000042 status 00010042
  2: @c7277220  length 8000004e status 0001004e
  3: @c7277230  length 80000042 status 00010042
  4: @c7277240  length 800005ea status 000105ea
  5: @c7277250  length 800005ea status 000105ea
  6: @c7277260  length 800004f2 status 000104f2
  7: @c7277270  length 80000042 status 00010042
  8: @c7277280  length 800005ea status 000105ea
  9: @c7277290  length 800005ea status 000105ea
  10: @c72772a0  length 800004f2 status 000104f2
  11: @c72772b0  length 80000042 status 00010042
  12: @c72772c0  length 80000042 status 00010042
  13: @c72772d0  length 80000042 status 00010042
  14: @c72772e0  length 800005ea status 000105ea
  15: @c72772f0  length 800005ea status 000105ea
Comment 4 Arjan van de Ven 2001-02-20 09:55:53 EST
Which module are you using ?
Comment 5 Pekka Savola 2001-02-20 11:56:31 EST
3c59x.

Haven't tried the other, but this card didn't complain with it during RHL7 or RHL7 betas.

I'm not sure how important the message is (doesn't look too good), but the networking still
works after it so I guess it's just some bug causing an odd frame get lost in transmit.
Comment 6 Bugzilla owner 2004-09-30 11:38:53 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.